#!/usr/bin/bash
# mangz2boybz.sh
# created and copyrighted:  7 Jun 11
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#


# consts


# code
MEN=`ls -1 $1`

for m in $MEN; do
  if [ -h $1/$m ]; then
    echo $m" is a link"
    target=`ls -l $1/$m`
    target=`echo $target | cut -d" " -f11`
    target=`echo $target | cut -d. -f1`
    page=`echo $m | cut -d. -f1`
    ln -s $target.bz2 $page.bz2
  elif [ -f $1/$m ]; then
    echo $m" is a man page"
    page=`echo $m | cut -d . -f 1`
    man $page | col -b > $page
    bzip2 $page
  else
    :
  fi  
  done
